package com.jz.dmp.modules.controller.DataIntegration.bean;


import com.jz.common.page.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @ClassName: DataSourceListReq
 * @Description: 数据源列表请求参数
 * @Author：Bellamy
 * @Date 2020/12/24
 * @Version 1.0
 */
@ApiModel(value = "数据源列表请求参数", description = "数据源列表请求参数")
public class DataSourceListReq extends BasePageBean {
    /*
     * 数据源类型
     * */
    @ApiModelProperty(value = "数据源类型")
    private String datasourceTypeId;

    /*
     * 数据源名称
     * */
    @ApiModelProperty(value = "数据源名称")
    private String datasourceName;

    /*
     * 项目id
     * */
    @ApiModelProperty(value = "项目id")
    @NotNull(message = "项目id不能为空")
    private String projectId;

    public String getDatasourceName() {
        return datasourceName;
    }

    public void setDatasourceName(String datasourceName) {
        this.datasourceName = datasourceName;
    }

    public String getDatasourceTypeId() {
        return datasourceTypeId;
    }

    public void setDatasourceTypeId(String datasourceTypeId) {
        this.datasourceTypeId = datasourceTypeId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
}
